Log in or register to post comments

UnityExtensions: TypeLoadException, in Unity 2019.1

April 17, 2019 - 10:24am #1

Fail while importing project 2017 project to 2019. I expected a bunch of errors, but I can't figure this one out:

TypeLoadException: Could not resolve type with token 01000035 (from typeref, class/assembly Vuforia.VuforiaAbstractConfiguration, Vuforia.UnityExtensions, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null)

UnityEditor.EditorApplication.Internal_CallUpdateFunctions () (at C:/buildslave/unity/build/Editor/Mono/EditorApplication.cs:200)

 

Maddening. I can't load VuforiaBehavior script to check anything, including engine version*. Then again, this is not a script error I have access to, so I can't analyze it in VS that way. 

 

Any help appreciated.

 

 

*Unity editor menu Help --> Vuforia Engine --> Release Notes took me to top of generic page

https://library.vuforia.com/articles/Release_Notes/Vuforia-SDK-Release-Notes.html

 

UnityExtensions: TypeLoadException, in Unity 2019.1

April 23, 2019 - 9:35am #2

Hello,

The team had no direct feedback about the errors you're observing.

The only recommendation they had is to not make such a large jump in your upgrade path (i.e. going directly from 2017 -> 2019). Ideally, they would recommend upgrading through minor versions: e.g. 2017.3 -> 2018.1 -> 2018.2 -> 2018.3 -> 2019.1, using the latest available Vuforia version for each as you move along.

Thanks,

Vuforia Engine Support

Log in or register to post comments